curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/receipts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"base64_encoded_file": "<string>",
"currency": "USD",
"description": "Payment for lunch with clients",
"document_id": "INV-2287",
"issued_at": "2023-11-07T05:31:56Z",
"merchant_location": "West Street, London, UK",
"merchant_name": "Tesco",
"partner_metadata": {},
"total_amount": 15000,
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/receipts"
payload = {
"base64_encoded_file": "<string>",
"currency": "USD",
"description": "Payment for lunch with clients",
"document_id": "INV-2287",
"issued_at": "2023-11-07T05:31:56Z",
"merchant_location": "West Street, London, UK",
"merchant_name": "Tesco",
"partner_metadata": {},
"total_amount": 15000,
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
base64_encoded_file: '<string>',
currency: 'USD',
description: 'Payment for lunch with clients',
document_id: 'INV-2287',
issued_at: '2023-11-07T05:31:56Z',
merchant_location: 'West Street, London, UK',
merchant_name: 'Tesco',
partner_metadata: {},
total_amount: 15000,
transaction_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/receipts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"origin": "upload",
"created_by_entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "AED",
"currency_exchange": {},
"description": "Payment for lunch with clients",
"document_id": "<string>",
"file_id": "123e4567-e89b-12d3-a456-426614174000",
"file_name": "<string>",
"file_url": "<string>",
"issued_at": "2023-11-07T05:31:56Z",
"link_source": "user",
"merchant_location": "<string>",
"merchant_name": "<string>",
"ocr_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ocr_status": "<string>",
"partner_metadata": {},
"sender": "hello@example.com",
"source_of_data": "ocr",
"total_amount": 123,
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Create receipt
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Body
Base64-encoded contents of the original receipt file.
Currency code used in the receipt.
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SEK, SGD, SHP, SLE, SOS, SRD, SSP, SVC, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW "USD"
Short transaction description.
1024"Payment for lunch with clients"
Unique receipt number assigned by the issuer.
255"INV-2287"
Receipt issued date and time.
Location of the merchant.
255"West Street, London, UK"
Name of the merchant.
128"Tesco"
Metadata for partner needs
Total amount for the receipt in minor units (e.g. cents).
x >= 015000
Transaction ID.
Response
Successful Response
Unique receipt ID.
Creation timestamp.
Update timestamp.
Specifies how this receipt was created in Monite.
upload, email Entity user who created.
Currency code.
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SEK, SGD, SHP, SLE, SOS, SRD, SSP, SVC, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW Currency exchange details.
Short transaction description.
1024"Payment for lunch with clients"
Receipt number.
255The id of the stored receipt file.
"123e4567-e89b-12d3-a456-426614174000"
The original file name.
The URL of the stored receipt file.
Date when the receipt was issued.
How the receipt was linked to a transaction.
user, automatched Merchant location.
255Merchant name.
128OCR request id.
OCR status.
Partner metadata.
The email address from which the invoice was sent to the entity.
"hello@example.com"
Source of data.
ocr, user_specified Total amount in minor units.
Transaction ID.
Was this page helpful?